# AmbiScopeVFX

![AmbiScopeVFX screenshot](/ss.png)

**AmbiScopeVFX** is a plugin for DaVinci Resolve Fusion, enabling dynamic
visualization of ambisonic sound fields.

## Requirements

* `python-osc`
* DaVinci Resolve
* IEM EnergyVisualizer VST

## Usage

* place the contents of the Fuses folder into your Fuses directory
  (usually `%appdata%/Blackmagic Design/DaVinci Resolve/Support/Fusion/Fuses`)
  on Windows platforms
* edit `Fuses/ambiscope.fuse`, line 32, to match the location of your fuses
  directory
* launch DaVinci Resolve, add the `IEM EnergyVisualizer` plugin to the effects
  chain of your ambisonic recording
* connect `IEM EnergyVisualizer` to the OSC server port `1337`, at `127.0.0.1`
* add the `AmbiScopeVFX` fuse to your Fusion composition of choice
* drag and drop the `osc_forwarder.py` into Resolve's console

**TODO**: automate above process into running a single script
